CREATE OR REPLACE VIEW vw_fco_proc_reportes_ala
AS
SELECT p.compania, p.procesar, p.codigo, r.nombre, p.anio, p.mes,
       p.EPS_FPO, p.sucursal, p.secuencia, 
       v.descripcion
FROM  fco_proc_reportes_ala p, fco_reportes_ala r, vw_fco_administradoras v
WHERE p.codigo = r.codigo and p.compania = v.compania and p.EPS_FPO = v.codigo And r.maneja_EPS = '1' And v.tipo='EPS'
UNION
SELECT p.compania, p.procesar, p.codigo, r.nombre, p.anio, p.mes,
       p.EPS_FPO, p.sucursal, p.secuencia, 
       v.descripcion
FROM  fco_proc_reportes_ala p, fco_reportes_ala r, vw_fco_administradoras v
WHERE p.codigo = r.codigo and p.compania = v.compania and p.EPS_FPO = v.codigo And r.maneja_FPO = '1' And v.tipo='AFP'
UNION
SELECT p.compania, p.procesar, p.codigo, r.nombre, p.anio, p.mes,
       p.EPS_FPO, p.sucursal, p.secuencia, 
       v.descripcion
FROM  fco_proc_reportes_ala p, fco_reportes_ala r, vw_fco_administradoras v
WHERE p.codigo = r.codigo and p.compania = v.compania and p.EPS_FPO = v.codigo And r.maneja_ISS = '1' And v.tipo='EPS'
UNION
SELECT p.compania, p.procesar, p.codigo, r.nombre, p.anio, p.mes,
       p.EPS_FPO, p.sucursal, p.secuencia, 
       v.nombre_ARP
FROM  fco_proc_reportes_ala p, fco_reportes_ala r, vw_fco_companias v
WHERE p.codigo = r.codigo and 
      p.compania = v.compania And r.maneja_ARP = '1';

CREATE PUBLIC SYNONYM vw_fco_proc_reportes_ala FOR ADAM.vw_fco_proc_reportes_ala;
GRANT ALL ON vw_fco_proc_reportes_ala TO ADAMA;                  
